Change in osmo-gsm-tester[master]: contrib: Add script to build osmo-bts-oc2g

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Pau Espin Pedrol gerrit-no-reply at lists.osmocom.org
Thu Feb 21 18:26:06 UTC 2019


Pau Espin Pedrol has uploaded this change for review. ( https://gerrit.osmocom.org/13003


Change subject: contrib: Add script to build osmo-bts-oc2g
......................................................................

contrib: Add script to build osmo-bts-oc2g

Change-Id: I7cc8937fb3e6c5d74b56cb049afb293b0b7ed25e
---
A contrib/jenkins-build-osmo-bts-oc2g.sh
A contrib/jenkins-build-osmo-pcu-oc2g.sh
2 files changed, 55 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-gsm-tester refs/changes/03/13003/1

diff --git a/contrib/jenkins-build-osmo-bts-oc2g.sh b/contrib/jenkins-build-osmo-bts-oc2g.sh
new file mode 100755
index 0000000..9ed2099
--- /dev/null
+++ b/contrib/jenkins-build-osmo-bts-oc2g.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e -x
+
+_poky_version="$POKY_VERSION"
+_poky_path="$POKY_PATH"
+
+[ -z "$_poky_version" ] && _poky_version="2.3.2"
+[ -z "$_poky_path" ] && _poky_path="/opt/poky/$_poky_version"
+
+. "$_poky_path/environment-setup-armv5te-poky-linux-gnueabi"
+
+# Cross-compilation: all installations need to be put in the sysmo SDK sysroot
+export DESTDIR="$_poky_path/sysroots/armv5te-poky-linux-gnueabi"
+
+base="$PWD"
+name="osmo-bts-oc2g"
+prefix="/usr/local/jenkins-build/inst-$name"
+prefix_real="$DESTDIR$prefix"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+prev_git_url="${git_url}"
+git_url="https://gitlab.com/nrw_oc2g/"
+have_repo "oc2g-fw" "nrw/oc2g"
+git_url="${prev_git_url}"
+L1_OC2G_HEADERS="$PWD/oc2g-fw/inc"
+
+build_repo libosmocore --disable-pcsc --disable-doxygen --disable-gnutls
+build_repo libosmo-abis
+build_repo osmo-bts --disable-sysmocom-bts --enable-oc2g --with-oc2g="$L1_OC2G_HEADERS"
+
+create_bin_tgz osmo-bts-oc2g
diff --git a/contrib/jenkins-build-osmo-pcu-oc2g.sh b/contrib/jenkins-build-osmo-pcu-oc2g.sh
new file mode 100755
index 0000000..2164926
--- /dev/null
+++ b/contrib/jenkins-build-osmo-pcu-oc2g.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+set -e -x
+
+_poky_version="$POKY_VERSION"
+_poky_path="$POKY_PATH"
+
+[ -z "$_poky_version" ] && _poky_version="2.3.2"
+[ -z "$_poky_path" ] && _poky_path="/opt/poky/$_poky_version"
+
+. "$_poky_path/environment-setup-armv5te-poky-linux-gnueabi"
+
+# Cross-compilation: all installations need to be put in the sysmo SDK sysroot
+export DESTDIR="$_poky_path/sysroots/armv5te-poky-linux-gnueabi"
+
+base="$PWD"
+name="osmo-pcu-oc2g"
+prefix="/usr/local/jenkins-build/inst-$name"
+prefix_real="$DESTDIR$prefix"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo libosmocore --disable-pcsc --disable-doxygen --disable-gnutls
+build_repo osmo-pcu --disable-sysmocom-dsp
+
+create_bin_tgz osmo-pcu

-- 
To view, visit https://gerrit.osmocom.org/13003
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I7cc8937fb3e6c5d74b56cb049afb293b0b7ed25e
Gerrit-Change-Number: 13003
Gerrit-PatchSet: 1
Gerrit-Owner: Pau Espin Pedrol <pespin at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190221/a29922c3/attachment.htm>


More information about the gerrit-log mailing list